OpenVDB 12.1.0

Loading...
Searching...
No Matches
Assert.h File Reference
`#include <openvdb/Platform.h>`
`#include <openvdb/version.h>`

Go to the source code of this file.

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1

## Macros
#define | OPENVDB_ASSERT(X)
#define | OPENVDB_ASSERT_MESSAGE(X, MSG)

## Functions
void | assertAbort (const char *assertion, const char *file, const unsigned line, const char *function, const char *msg=nullptr)
| Trigger a SIGABRT after printing a formatted assertion message. Effectively performs the same functionality as cassert, but allows VDB code to call this independently of the NDEBUG define.

## Macro Definition Documentation

## ◆ OPENVDB_ASSERT

#define OPENVDB_ASSERT | ( |  | X | ) |

Value:
(void)0;

## ◆ OPENVDB_ASSERT_MESSAGE

#define OPENVDB_ASSERT_MESSAGE | ( |  | X,
|  |  | MSG )

Value:
(void)0;